package Opsview::Web::Controller::TestRoot;

use strict;
use warnings;
use base qw/Catalyst::Controller/;

__PACKAGE__->config->{namespace} = '';

# Nasty hack
#
# force admin password to "initial" and save to database
# then log it in. this lets the tests run without complexity

sub begin : Private {
    my ( $self, $c ) = @_;
    my ($admin) = $c->model('OpsviewSchema::Contacts')->search( { name => 'admin' } );
    $c->authenticate( { name => 'admin', password => 'initial' }, "local" );

    # Now get the generated auth_tkt and store it in the request, to simulate login
    $c->forward("/extendticket");
    my $h = $c->res->cookies->{auth_tkt};
    $c->req->cookies->{auth_tkt} = CGI::Simple::Cookie->new(
        -name  => "auth_tkt",
        -path  => $h->{path},
        -value => $h->{value},
    );

    1;
}

1;
